#
#   sample the grids of north and east velocity
#
# GPS file there too:  lon lat ve se vn sn vu su
#
#  correct the mean differences
#
rm junk*
rm GPS_resid_east.dat GPS_resid_north.dat
awk '{print ($1-360.,$2,$3+15.7,$5,$4-17.3,$6) }' < gps.window.uniq.dat > junk0.dat
#
#  extract the model from the grid
#
#grdtrack junk0.dat -Gve_tot.grd > junk1.dat
grdtrack junk0.dat -Gve.grd > junk1.dat
#grdtrack junk1.dat -Gvn_tot.grd > junk2.dat
grdtrack junk1.dat -Gvn.grd > junk2.dat

exit 1 

#
# trend2d and look at histograms of the residuals to identify outliers
#
#awk '{print ($1,$2,$3-$7,1./$4)}' < junk2.dat | trend2d -Fxyrz -N10 -V -W > junkeast.dat 
#awk '{print ($1,$2,$5-$8,1./$6)}' < junk2.dat | trend2d -Fxyrz -N10 -V -W > junknorth.dat 

#mean(junkeast(:,3))=-0.0322
#std(junkeast(:,3))=2.3608

#mean(junknorth(:,3))=0.0603
#std(junknorth(:,3)) = 2.6179

#awk '$3 < 7.08 && $3 > -7.08 {print $0}' junkeast.dat > good.east.dat 
#awk '$3 > 7.08 || $3 < -7.08 {print $0}' junkeast.dat > outlier.east.dat 

#awk '$3 < 7.86 && $3 > -7.86 {print $0}' junknorth.dat > good.north.dat  
#awk '$3 > 7.86 || $3 < -7.86 {print $0}' junknorth.dat > outlier.north.dat 

# look at the outliers in kml file
#gmt2kml -Fs outlier.east.dat -T"outlier.east" > outlier.east.kml
#gmt2kml -Fs good.east.dat -T"good.east" > good.east.kml
#gmt2kml -Fs outlier.north.dat -T"outlier.north"> outlier.north.kml
#gmt2kml -Fs good.north.dat -T"good.north"> good.north.kml


#exit 0

#
# edit junk2.dat by hand to remove some outliers save as clean.dat 
#

#
# keep the points in Mexico
#

# remove the bad point in San Joaquin Valley
#awk '$1>-119.4 && $1<-119.2 && $2>35.61 && $2<35.63 {print $0}' junk2.dat 
#-119.349	35.623	0.8 0.34 -0.83 0.30	5.41244009103	-5.4890783

#
# gridding the clean.dat
#
awk '{print ($1,$2,$3-$7,1./$4)}' < clean.dat | blockmedian -R-124/-114.5/32/39 -I.4 -F -Wi | awk '{print ($1, $2, $3)}'  >  GPS_resid_east.dat
awk '{print ($1,$2,$5-$8,1./$6)}' < clean.dat | blockmedian -R-124/-114.5/32/39 -I.4 -F -Wi | awk '{print ($1, $2, $3)}'  >  GPS_resid_north.dat

#
#  now grid the residuals and add back to the velocity
#
surface GPS_resid_east.dat -Gve_resid_surf2d.grd -T0.9 `grdinfo -I ve.grd` `grdinfo -I- ve.grd` -V
surface GPS_resid_north.dat -Gvn_resid_surf2d.grd -T0.9 `grdinfo -I vn.grd` `grdinfo -I- vn.grd` -V

rm *junk*
#rm GPS_resid_east.dat GPS_resid_north.dat

grdsample ve_resid_surf2d.grd -T -Gtmp.grd 
mv tmp.grd ve_resid_surf2d.grd
grdsample vn_resid_surf2d.grd -T -Gtmp.grd 
mv tmp.grd vn_resid_surf2d.grd

grdmath ve.grd ve_resid_surf2d.grd ADD = ve_tot.grd
grdmath vn.grd vn_resid_surf2d.grd ADD = vn_tot.grd
#

